NSX-T Data Center Global Manager REST API
Associated URIs:
| API Description | API Path |
|---|---|
Read network configuration properties |
GET /api/v1/transport-nodes/{transport-node-id}/node/network
GET /api/v1/cluster/{cluster-node-id}/node/network GET /api/v1/node/network |
List the Node's Network InterfacesReturns the number of interfaces on the node appliance and detailed information about each interface. Interface information includes MTU, broadcast and host IP addresses, link and admin status, MAC address, network mask, and the IP configuration method (static or DHCP). |
GET /api/v1/transport-nodes/{transport-node-id}/node/network/interfaces
GET /api/v1/cluster/{cluster-node-id}/node/network/interfaces GET /api/v1/node/network/interfaces |
Read the Node's Network InterfaceReturns detailed information about the specified interface. Interface information includes MTU, broadcast and host IP addresses, link and admin status, MAC address, network mask, and the IP configuration method. |
GET /api/v1/transport-nodes/{transport-node-id}/node/network/interfaces/{interface-id}
GET /api/v1/cluster/{cluster-node-id}/node/network/interfaces/{interface-id} GET /api/v1/node/network/interfaces/{interface-id} |
Update the Node's Network InterfaceUpdates the specified interface properties, which includes configuring IPv6 address when NSX appliance has only IPv4 management address. But once configured you cannot modify following interface properties - ip_configuration, ip_addresses,
ip6_addresses or plane.
NSX Manager must have a static IPv4 or IPv6 address. You must use NSX CLI to configure the manager or edge appliance. Note: NSX appliance reboot is required after adding IPv6 address. |
PUT /api/v1/transport-nodes/{transport-node-id}/node/network/interfaces/{interface-id}
PUT /api/v1/cluster/{cluster-node-id}/node/network/interfaces/{interface-id} PUT /api/v1/node/network/interfaces/{interface-id} |
Read the Node's Network Interface StatisticsOn the specified interface, returns the number of received (rx), transmitted (tx), and dropped packets; the number of bytes and errors received and transmitted on the interface; and the number of detected collisions. |
GET /api/v1/transport-nodes/{transport-node-id}/node/network/interfaces/{interface-id}/stats
GET /api/v1/cluster/{cluster-node-id}/node/network/interfaces/{interface-id}/stats GET /api/v1/node/network/interfaces/{interface-id}/stats |
List the specified transport node's network interfacesReturns the number of interfaces on the node and detailed information about each interface. Interface information includes MTU, broadcast and host IP addresses, link and admin status, MAC address, network mask, and the IP configuration method (static or DHCP). |
GET /api/v1/transport-nodes/{transport-node-id}/network/interfaces
|
Read the transport node's network interfaceReturns detailed information about the specified interface. Interface information includes MTU, broadcast and host IP addresses, link and admin status, MAC address, network mask, and the IP configuration method (static or DHCP). |
GET /api/v1/transport-nodes/{transport-node-id}/network/interfaces/{interface-id}
|
Read counters for transport node interfaces.This API returns the counters of the specified interface. The counters reset on reboot or redeploy of the appliance or restart of the data plane. NSX Manager polls the transport-node every minute (by default) to update the data returned on this API. If you need near realtime values, use the query parameter \"?source=realtime\" to the API and it will make NSX Manager collect the statistics from the transport node and returns the updated counters. |
GET /api/v1/transport-nodes/{transport-node-id}/network/interfaces/{interface-id}/stats
|